Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156102 - PowerPC Resume from Sleep Causes Badness in wait_for_ready
Summary: PowerPC Resume from Sleep Causes Badness in wait_for_ready
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 15:56 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-04 15:49:20 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2005-04-27 15:56:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Epiphany/1.6.1

Description of problem:
My test machine is an Apple iBook G4.

/proc/cpuinfo says:

processor       : 0
cpu             : 7447A, altivec supported
clock           : 533MHz
revision        : 1.1 (pvr 8003 0101)
bogomips        : 530.43
machine         : PowerBook6,5
motherboard     : PowerBook6,5 MacRISC3 Power Macintosh
detected as     : 287 (iBook G4)
pmac flags      : 0000001b
L2 cache        : 512K unified
memory          : 256MB
pmac-generation : NewWorld

/proc/modules says:

lp 15984 0 - Live 0xd210f000
parport 52816 1 lp, Live 0xd216d000
autofs4 33060 1 - Live 0xd2115000
sunrpc 210984 1 - Live 0xd25f8000
nls_utf8 2112 1 - Live 0xd2107000
hfsplus 96772 1 - Live 0xd2122000
md5 4864 1 - Live 0xd24fd000
ipv6 342336 6 - Live 0xd265d000
sd_mod 24256 0 - Live 0xd2500000
usb_storage 87928 0 - Live 0xd258e000
scsi_mod 194852 2 sd_mod,usb_storage, Live 0xd25c7000
ohci1394 49608 0 - Live 0xd24c1000
ieee1394 447400 1 ohci1394, Live 0xd251f000
ohci_hcd 34112 0 - Live 0xd240c000
ehci_hcd 48940 0 - Live 0xd243a000
i2c_keywest 13828 0 - Live 0xd20a2000
snd_powermac 63788 1 - Live 0xd24a0000
snd_pcm_oss 69488 0 - Live 0xd246e000
snd_mixer_oss 23200 2 snd_pcm_oss, Live 0xd20f8000
snd_pcm 126180 2 snd_powermac,snd_pcm_oss, Live 0xd244e000
snd_timer 39300 1 snd_pcm, Live 0xd2401000
snd 69716 5 snd_powermac,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer, Live 0xd2417000
soundcore 13028 2 snd, Live 0xd1075000
snd_page_alloc 11300 1 snd_pcm, Live 0xd103c000
prism2_usb 95276 0 - Live 0xd2487000
p80211 43796 1 prism2_usb, Live 0xd20e4000
sungem 52452 0 - Live 0xd21ed000
sungem_phy 9888 1 sungem, Live 0xd1038000
aes 27336 2 - Live 0xd1030000
dm_crypt 16072 1 - Live 0xd102b000
ext3 173480 2 - Live 0xd21c1000
jbd 107544 1 ext3, Live 0xd20a7000
dm_mod 74236 3 dm_crypt, Live 0xd1061000

Version-Release number of selected component (if applicable):
2.6.11-1.1261_FC4

How reproducible:
Always

Steps to Reproduce:
1. Close the laptop's lid to cause the computer to go to sleep.

2.  Open the lid to wake up the computer.  Notice the messages that the kernel prints.

Actual Results:  The kernel prints the following messages:

PCI: Enabling device 0001:10:1b.0 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.1 (0000 -> 0002)
PCI: Enabling device 0001:10:1b.2 (0000 -> 0002)
ehci_hcd 0001:10:1b.2: park 0
ehci_hcd 0001:10:1b.2: USB 2.0 restarted, EHCI 1.00, driver 10 Dec 2004
usb 4-1: USB disconnect, address 2
eth0: resuming
PHY ID: 4061e4, addr: 0
hda: Enabling Ultra DMA 5
Badness in wait_for_ready at drivers/ide/ide-iops.c:520
Call trace:
 [c0005918] check_bug_trap+0xa8/0x120
 [c0005c04] ProgramCheckException+0x274/0x500
 [c0004f14] ret_from_except_full+0x0/0x4c
 [c0220b4c] wait_for_ready+0xac/0x150
 [c040146c] 0xc040146c
 [c04029f0] 0xc04029f0
 [c021d5fc] ide_do_request+0x98c/0xaf0
 [c021df18] ide_intr+0x498/0x6d0
 [c0057854] handle_IRQ_event+0x64/0xd0
 [c00579ec] __do_IRQ+0x12c/0x420
 [c00066b4] do_IRQ+0x44/0xa0
 [c0004f60] ret_from_except+0x0/0x14
 [c0061544] buffered_rmqueue+0x494/0x620
 [c0061794] __alloc_pages+0xc4/0x440
 [c0061d68] __get_free_pages+0x28/0x70
hdc: Enabling MultiWord DMA 2
adb: starting probe task...

Additional info:

Comment 1 W. Michael Petullo 2006-01-01 01:12:36 UTC
Using kernel-2.6.14-1.1783_FC5:

hda: Enabling Ultra DMA 5
Badness in wait_for_ready at drivers/ide/ide-iops.c:516
Call Trace:
[C037DC40] [C0009B04] show_stack+0x50/0x184 (unreliable)
[C037DC60] [C000D6EC] program_check_exception+0x194/0x508
[C037DCB0] [C000EB30] ret_from_except_full+0x0/0x4c
--- Exception: 700 at wait_for_ready+0x94/0xec
    LR = wait_for_ready+0x3c/0xec
[C037DD70] [C00545AC] disable_irq_nosync+0x7c/0x90 (unreliable)
[C037DD90] [C01D2F68] pmac_ide_do_setfeature+0x10c/0x324
[C037DDB0] [C01D346C] pmac_ide_dma_check+0x2ec/0x458
[C037DDE0] [C01C753C] ide_do_request+0x610/0x8a4
[C037DE50] [C01C7B50] ide_intr+0x1f4/0x230
[C037DE80] [C0054248] handle_IRQ_event+0x54/0xa8
[C037DEA0] [C00543A0] __do_IRQ+0x104/0x188
[C037DEC0] [C00056C0] do_IRQ+0x48/0x78
[C037DEE0] [C000EB7C] ret_from_except+0x0/0x14
--- Exception: 501 at default_idle+0x3c/0x44
    LR = default_idle+0x34/0x44
[C037DFA0] [C001E4C0] cpu_idle+0x3c/0x5c (unreliable)
[C037DFB0] [C0003D64] rest_init+0x28/0x38
[C037DFC0] [C037E648] start_kernel+0x198/0x1ac
[C037DFF0] [000036F0] 0x36f0
hdc: Enabling MultiWord DMA 2

Comment 2 W. Michael Petullo 2006-03-20 13:12:12 UTC
Using kernel 2.6.15-1.2054_FC5:

hda: Enabling Ultra DMA 5
Badness in wait_for_ready at drivers/ide/ide-iops.c:516
Call Trace:
[CDFF1CA0] [C0007A50] show_stack+0x54/0x184 (unreliable)
[CDFF1CC0] [C000E564] program_check_exception+0x19c/0x520
[CDFF1D10] [C000FC24] ret_from_except_full+0x0/0x4c
--- Exception: 700 at wait_for_ready+0x94/0xec
    LR = wait_for_ready+0x3c/0xec
[CDFF1DD0] [C005A18C] disable_irq_nosync+0x7c/0x90 (unreliable)
[CDFF1DF0] [C01DF410] pmac_ide_do_setfeature+0x108/0x320
[CDFF1E10] [C01DF930] pmac_ide_dma_check+0x308/0x490
[CDFF1E40] [C01D3740] ide_do_request+0x618/0x8cc
[CDFF1EB0] [C01D3D84] ide_intr+0x204/0x240
[CDFF1EE0] [C0059E28] handle_IRQ_event+0x54/0xa8
[CDFF1F00] [C0059F80] __do_IRQ+0x104/0x188
[CDFF1F20] [C00057E8] do_IRQ+0x4c/0x7c
[CDFF1F40] [C000FC70] ret_from_except+0x0/0x14
--- Exception: 501 at 0xf825884
    LR = 0xf825f30
hdc: Enabling MultiWord DMA 2

Comment 3 Richard Hughes 2007-05-24 11:52:42 UTC
By sleep, do you mean suspend or hibernate? Does this still happen with F7T4?
Thanks.

Comment 4 W. Michael Petullo 2007-11-04 15:49:20 UTC
Everything seems fine with kernel-2.6.23.1-42.fc8. Closing bug.


Note You need to log in before you can comment on or make changes to this bug.